﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.WindowsMobile.Status;

namespace BatteryState
{
    public partial class Form1 : Form
    {
        SystemState batteryStrength;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            batteryStrength = new SystemState(SystemProperty.PowerBatteryStrength);
            batteryStrength.Changed += new ChangeEventHandler(batteryStrength_Changed);
        }

        void batteryStrength_Changed(object sender, ChangeEventArgs args)
        {
            BatteryLevel level = (BatteryLevel)args.NewValue;
            switch (level)
            {
                case BatteryLevel.Medium:
                    button1.Enabled=true;
                    button2.Enabled=false;
                    break;

                case BatteryLevel.Low:
                    button1.Enabled = false;
                    button2.Enabled = false;
                    break;
                case BatteryLevel.VeryHigh:
                default:
                    button1.Enabled = true;
                    button2.Enabled = true;
                    break;
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Simulating a simple operation");
        }

        private void button2_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Simulating a complex operation");

        }

        private void Form1_Closing(object sender, CancelEventArgs e)
        {
            batteryStrength.Dispose();
        }


    }
}